Subject: Re: [PATCH] mergetool--lib: add p4merge as a pre-configured mergetool option

From: David Aguilar <[email-masked]>
Date: Wed, 28 Oct 2009 02:00:24 -0700

On Tue, Oct 27, 2009 at 11:00:43PM +0000, Charles Bailey wrote:
> On Tue, Oct 27, 2009 at 03:36:49PM -0700, Scott Chacon wrote:
> > p4merge is now a built-in diff/merge tool.
> > This adds p4merge to git-completion and updates
> > the documentation to mention p4merge.
> > ---
> 
> I approve (but haven't had a chance to test this). p4merge is a
> good mergetool, but now I'll have to find something else as an example
> that you need to use custom mergetool support for.

Ditto, looks good to me.

> I'm just wondering, does this work well with unixes and Mac OS X? I
> think it's recommended install practice to symlink p4v as p4merge on
> *nix, but Mac OS X needs some sort of 'launchp4merge' to be called
> IIRC, or is this something that users can just configure with
> mergetool.p4diff.path?

I just tested this on Mac OS X with the latest version of
p4merge.  It worked great.

	$ git config difftool.p4merge.path \
	  /Applications/p4merge.app/Contents/MacOS/p4merge

	$ git difftool -t p4merge HEAD^

So...

Tested-by: David Aguilar <[email-masked]>

P.S.  thanks for the patch, Scott.

Sorry I haven't gotten around to forking progit yet
but we did at least get Disney Animation to go with
git + github =)

http://github.com/wdas/ptex

(there's only some headers up there right now,
 but we'll have more to share soon)

Have fun,

-- 
		David